# coding: utf8
"""
Utilisation du module de validation.

Fichier : ok.py
auteur : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from ok_m import ok
from random import random

# Programme principal ==========================================================
L = list()

while ok("Je continue"):
    L.append(random())
    print(f"Moyenne de la liste : {sum(L) / len(L):.2g}\n")
    
print("\nTerminé !")
